quilt: missing dependency on at least libc6

Bug #7335 reported by Debian Bug Importer on 2004-08-06
4
Affects Status Importance Assigned to Milestone
quilt (Debian)
Fix Released
Unknown
quilt (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #264053 http://bugs.debian.org/264053

tags 264053 patch
thanks

Trivial patch here:

http://www.no-name-yet.com/patches/quilt.264053.diff

--
 - mdz

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #264053 http://bugs.debian.org/264053

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sat, 07 Aug 2004 00:02:57 +0200
From: Adrian Bunk <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: quilt: missing dependency on at least libc6

Package: quilt
Version: 0.35-1
Severity: grave

quilt needs an shlibs dependency on at least libc6 for
/usr/lib/quilt/backup-files .

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-rc3
Locale: LANG=C, LC_CTYPE=C

Matt Zimmerman (mdz) wrote :

Fixed in 0.35-1ubuntu1

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 6 Aug 2004 16:08:33 -0700
From: Matt Zimmerman <email address hidden>
To: <email address hidden>
Subject: Patch

tags 264053 patch
thanks

Trivial patch here:

http://www.no-name-yet.com/patches/quilt.264053.diff

--
 - mdz

Would you mind NMU the package, please? The fact is that I've lost my key in
the last crash disk, so I'll have to go for the usual sponsored way.

I thought that maybe such an easy one could go faster...

Sorry for the extra burden induced by my stupidities,
empty.

On Fri, Aug 06, 2004 at 04:08:33PM -0700, Matt Zimmerman wrote:
> tags 264053 patch
> thanks
>
> Trivial patch here:
>
> http://www.no-name-yet.com/patches/quilt.264053.diff

tag 264053 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 6 Aug 2004 18:41:46 -0700
Source: quilt
Binary: quilt
Architecture: source i386
Version: 0.35-1.1
Distribution: unstable
Urgency: low
Maintainer: Martin Quinson <email address hidden>
Changed-By: Matt Zimmerman <email address hidden>
Description:
 quilt - Tool to work with series of patches
Closes: 264053
Changes:
 quilt (0.35-1.1) unstable; urgency=low
 .
   * NMU at maintainer's request
   * Add ${shlibs:Depends} to debian/control:Depends (Closes: #264053)
Files:
 2e521ed7173e098ea10cf88c091c2c00 581 devel optional quilt_0.35-1.1.dsc
 06a5ba9f9a3af2a1c88eae961f361707 5539 devel optional quilt_0.35-1.1.diff.gz
 0b1e8230f7c098c4f01b46548114c54d 241656 devel optional quilt_0.35-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBFDOuArxCt0PiXR4RArPgAJ9arZx/omaDwsmsGAcXxrwRMdYgRACfdR3H
iV7+kfYpkIfZp5DhZWrSevM=
=Qmoj
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-ID: <20040807013126.GQ6423@sport750>
Date: Fri, 6 Aug 2004 18:31:26 -0700
From: Martin Quinson <email address hidden>
To: Matt Zimmerman <email address hidden>, <email address hidden>
Subject: Re: Bug#264053: Patch

Would you mind NMU the package, please? The fact is that I've lost my key in
the last crash disk, so I'll have to go for the usual sponsored way.

I thought that maybe such an easy one could go faster...

Sorry for the extra burden induced by my stupidities,
empty.

On Fri, Aug 06, 2004 at 04:08:33PM -0700, Matt Zimmerman wrote:
> tags 264053 patch
> thanks
>
> Trivial patch here:
>
> http://www.no-name-yet.com/patches/quilt.264053.diff

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Fri, 06 Aug 2004 21:47:03 -0400
From: Matt Zimmerman <email address hidden>
To: <email address hidden>
Cc: Matt Zimmerman <email address hidden>, Martin Quinson <email address hidden>
Subject: Fixed in NMU of quilt 0.35-1.1

tag 264053 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 6 Aug 2004 18:41:46 -0700
Source: quilt
Binary: quilt
Architecture: source i386
Version: 0.35-1.1
Distribution: unstable
Urgency: low
Maintainer: Martin Quinson <email address hidden>
Changed-By: Matt Zimmerman <email address hidden>
Description:
 quilt - Tool to work with series of patches
Closes: 264053
Changes:
 quilt (0.35-1.1) unstable; urgency=low
 .
   * NMU at maintainer's request
   * Add ${shlibs:Depends} to debian/control:Depends (Closes: #264053)
Files:
 2e521ed7173e098ea10cf88c091c2c00 581 devel optional quilt_0.35-1.1.dsc
 06a5ba9f9a3af2a1c88eae961f361707 5539 devel optional quilt_0.35-1.1.diff.gz
 0b1e8230f7c098c4f01b46548114c54d 241656 devel optional quilt_0.35-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBFDOuArxCt0PiXR4RArPgAJ9arZx/omaDwsmsGAcXxrwRMdYgRACfdR3H
iV7+kfYpkIfZp5DhZWrSevM=
=Qmoj
-----END PGP SIGNATURE-----

Download full text (4.0 KiB)

submitter 173779 !
submitter 240562 !
submitter 250106 !
submitter 254785 !
submitter 268199 !
submitter 268320 !
submitter 274300 !
submitter 210306 !
submitter 215709 !
submitter 259461 !
submitter 264276 !
submitter 272853 !
submitter 272860 !
submitter 274306 !
submitter 55364 !
submitter 152152 !
submitter 195430 !
submitter 214732 !
submitter 216578 !
submitter 246983 !
submitter 260556 !
submitter 266154 !
submitter 266449 !
submitter 273356 !
submitter 273581 !
submitter 65797 !
submitter 121262 !
submitter 144876 !
submitter 152206 !
submitter 193989 !
submitter 195956 !
submitter 203981 !
submitter 215927 !
submitter 215928 !
submitter 216533 !
submitter 223904 !
submitter 223915 !
submitter 223918 !
submitter 229711 !
submitter 230993 !
submitter 231820 !
submitter 239953 !
submitter 254469 !
submitter 255145 !
submitter 260021 !
submitter 260444 !
submitter 261271 !
submitter 262423 !
submitter 262429 !
submitter 262432 !
submitter 262652 !
submitter 262721 !
submitter 262730 !
submitter 263345 !
submitter 263353 !
submitter 264109 !
submitter 264221 !
submitter 264227 !
submitter 264230 !
submitter 264232 !
submitter 264271 !
submitter 265775 !
submitter 265776 !
submitter 269477 !
submitter 269479 !
submitter 90817 !
submitter 128653 !
submitter 130855 !
submitter 195542 !
submitter 223623 !
submitter 223863 !
submitter 226641 !
submitter 249204 !
submitter 260005 !
submitter 260020 !
submitter 262420 !
submitter 263781 !
submitter 264690 !
submitter 266155 !
submitter 266157 !
submitter 267856 !
submitter 273315 !
submitter 273847 !
submitter 62759 !
submitter 69143 !
submitter 71352 !
submitter 71789 !
submitter 77324 !
submitter 77325 !
submitter 79428 !
submitter 92569 !
submitter 100186 !
submitter 105337 !
submitter 128652 !
submitter 128997 !
submitter 130856 !
submitter 132952 !
submitter 140847 !
submitter 143889 !
submitter 145257 !
submitter 159092 !
submitter 159847 !
submitter 165921 !
submitter 181335 !
submitter 184979 !
submitter 191925 !
submitter 193228 !
submitter 196597 !
submitter 196883 !
submitter 198694 !
submitter 201157 !
submitter 216104 !
submitter 223675 !
submitter 224618 !
submitter 230178 !
submitter 236232 !
submitter 239585 !
submitter 241059 !
submitter 243735 !
submitter 243744 !
submitter 249196 !
submitter 255345 !
submitter 255349 !
submitter 255351 !
submitter 255355 !
submitter 255358 !
submitter 255364 !
submitter 255365 !
submitter 260510 !
submitter 262729 !
submitter 262776 !
submitter 262777 !
submitter 262780 !
submitter 263773 !
submitter 266212 !
submitter 266402 !
submitter 267507 !
submitter 270061 !
submitter 270062 !
submitter 270063 !
submitter 271581 !
submitter 274694 !
submitter 274747 !
submitter 202797 !
submitter 276749 !
submitter 266161 !
submitter 273040 !
submitter 244759 !
submitter 255354 !
submitter 255362 !
submitter 266335 !
submitter 92977 !
submitter 215909 !
submitter 240549 !
submitter 240551 !
submitter 240561 !
submitter 240566 !
submitter 240572 !
submitter 259280 !
submitter 260024 !
submitter 263770 !
submitter 264053 !
submitter 265494 !
submitter 199728 !
submitter 209338 !
submitter 215637 !
submitter 215638 !
submitter 215664 !
submitter 216131 !
s...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (4.2 KiB)

Message-ID: <email address hidden>
Date: Tue, 19 Oct 2004 01:30:01 +0200
From: Adrian Bunk <email address hidden>
To: <email address hidden>
Subject: change my email address

submitter 173779 !
submitter 240562 !
submitter 250106 !
submitter 254785 !
submitter 268199 !
submitter 268320 !
submitter 274300 !
submitter 210306 !
submitter 215709 !
submitter 259461 !
submitter 264276 !
submitter 272853 !
submitter 272860 !
submitter 274306 !
submitter 55364 !
submitter 152152 !
submitter 195430 !
submitter 214732 !
submitter 216578 !
submitter 246983 !
submitter 260556 !
submitter 266154 !
submitter 266449 !
submitter 273356 !
submitter 273581 !
submitter 65797 !
submitter 121262 !
submitter 144876 !
submitter 152206 !
submitter 193989 !
submitter 195956 !
submitter 203981 !
submitter 215927 !
submitter 215928 !
submitter 216533 !
submitter 223904 !
submitter 223915 !
submitter 223918 !
submitter 229711 !
submitter 230993 !
submitter 231820 !
submitter 239953 !
submitter 254469 !
submitter 255145 !
submitter 260021 !
submitter 260444 !
submitter 261271 !
submitter 262423 !
submitter 262429 !
submitter 262432 !
submitter 262652 !
submitter 262721 !
submitter 262730 !
submitter 263345 !
submitter 263353 !
submitter 264109 !
submitter 264221 !
submitter 264227 !
submitter 264230 !
submitter 264232 !
submitter 264271 !
submitter 265775 !
submitter 265776 !
submitter 269477 !
submitter 269479 !
submitter 90817 !
submitter 128653 !
submitter 130855 !
submitter 195542 !
submitter 223623 !
submitter 223863 !
submitter 226641 !
submitter 249204 !
submitter 260005 !
submitter 260020 !
submitter 262420 !
submitter 263781 !
submitter 264690 !
submitter 266155 !
submitter 266157 !
submitter 267856 !
submitter 273315 !
submitter 273847 !
submitter 62759 !
submitter 69143 !
submitter 71352 !
submitter 71789 !
submitter 77324 !
submitter 77325 !
submitter 79428 !
submitter 92569 !
submitter 100186 !
submitter 105337 !
submitter 128652 !
submitter 128997 !
submitter 130856 !
submitter 132952 !
submitter 140847 !
submitter 143889 !
submitter 145257 !
submitter 159092 !
submitter 159847 !
submitter 165921 !
submitter 181335 !
submitter 184979 !
submitter 191925 !
submitter 193228 !
submitter 196597 !
submitter 196883 !
submitter 198694 !
submitter 201157 !
submitter 216104 !
submitter 223675 !
submitter 224618 !
submitter 230178 !
submitter 236232 !
submitter 239585 !
submitter 241059 !
submitter 243735 !
submitter 243744 !
submitter 249196 !
submitter 255345 !
submitter 255349 !
submitter 255351 !
submitter 255355 !
submitter 255358 !
submitter 255364 !
submitter 255365 !
submitter 260510 !
submitter 262729 !
submitter 262776 !
submitter 262777 !
submitter 262780 !
submitter 263773 !
submitter 266212 !
submitter 266402 !
submitter 267507 !
submitter 270061 !
submitter 270062 !
submitter 270063 !
submitter 271581 !
submitter 274694 !
submitter 274747 !
submitter 202797 !
submitter 276749 !
submitter 266161 !
submitter 273040 !
submitter 244759 !
submitter 255354 !
submitter 255362 !
submitter 266335 !
submitter 92977 !
submitter 215909 !
submitter 240549 !
submitter 240551 !
submitter 240561 !
submitter 240566 !
submitter 240572 !
submitter 259280 !
submitter ...

Read more...

Source: quilt
Source-Version: 0.37-1

We believe that the bug you reported is fixed in the latest version of
quilt, which is due to be installed in the Debian FTP archive:

quilt_0.37-1.diff.gz
  to pool/main/q/quilt/quilt_0.37-1.diff.gz
quilt_0.37-1.dsc
  to pool/main/q/quilt/quilt_0.37-1.dsc
quilt_0.37-1_i386.deb
  to pool/main/q/quilt/quilt_0.37-1_i386.deb
quilt_0.37.orig.tar.gz
  to pool/main/q/quilt/quilt_0.37.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Quinson <email address hidden> (supplier of updated quilt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 8 Dec 2004 16:12:21 +0100
Source: quilt
Binary: quilt
Architecture: source i386
Version: 0.37-1
Distribution: unstable
Urgency: low
Maintainer: Martin Quinson <email address hidden>
Changed-By: Martin Quinson <email address hidden>
Description:
 quilt - Tool to work with series of patches
Closes: 264053 266195 268967 275253
Changes:
 quilt (0.37-1) unstable; urgency=low
 .
   * New upstream release(s. I missed the 0.36, sorry):
     - "quilt new" now work from a sub-dir (instead of creating a new
       patches/ dir in the current one).
     - allow to list all modified files (within patch ranges).
     - japaneese translation.
     - touch files after they are restored to not confuse make and friends.
     - various bug fixes.
   * Fix a bashism in patchsys-quilt.mk (Closes: #275253)
   * Useless cleanup in debian/rules (Closes: #268967)
   * Acknoledge NMU. Thanks Matt! (Closes: #264053)
   * Use my Debian address as maintainer.
   * Fix two typos in description. Thanks Matt (Kraii) ! (Closes: #266195)
Files:
 ba19190df1112a779ae3be83786950f1 570 devel optional quilt_0.37-1.dsc
 7ec3c4154491504d5ecade76d17b8692 317155 devel optional quilt_0.37.orig.tar.gz
 0ad9bbdc4b2909282eb2e439304a1a47 5810 devel optional quilt_0.37-1.diff.gz
 63f1b02c0ebd4b08e207d1527cbdc464 251622 devel optional quilt_0.37-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBt1woIiC/MeFF8zQRAh9YAKCdFt3xxv/jSl9LyXoPu+VpfYpxeQCgrnWu
4R63+xF3sUcP4vxDxywSYAQ=
=cfdz
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 08 Dec 2004 15:47:35 -0500
From: Martin Quinson <email address hidden>
To: <email address hidden>
Subject: Bug#264053: fixed in quilt 0.37-1

Source: quilt
Source-Version: 0.37-1

We believe that the bug you reported is fixed in the latest version of
quilt, which is due to be installed in the Debian FTP archive:

quilt_0.37-1.diff.gz
  to pool/main/q/quilt/quilt_0.37-1.diff.gz
quilt_0.37-1.dsc
  to pool/main/q/quilt/quilt_0.37-1.dsc
quilt_0.37-1_i386.deb
  to pool/main/q/quilt/quilt_0.37-1_i386.deb
quilt_0.37.orig.tar.gz
  to pool/main/q/quilt/quilt_0.37.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Quinson <email address hidden> (supplier of updated quilt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 8 Dec 2004 16:12:21 +0100
Source: quilt
Binary: quilt
Architecture: source i386
Version: 0.37-1
Distribution: unstable
Urgency: low
Maintainer: Martin Quinson <email address hidden>
Changed-By: Martin Quinson <email address hidden>
Description:
 quilt - Tool to work with series of patches
Closes: 264053 266195 268967 275253
Changes:
 quilt (0.37-1) unstable; urgency=low
 .
   * New upstream release(s. I missed the 0.36, sorry):
     - "quilt new" now work from a sub-dir (instead of creating a new
       patches/ dir in the current one).
     - allow to list all modified files (within patch ranges).
     - japaneese translation.
     - touch files after they are restored to not confuse make and friends.
     - various bug fixes.
   * Fix a bashism in patchsys-quilt.mk (Closes: #275253)
   * Useless cleanup in debian/rules (Closes: #268967)
   * Acknoledge NMU. Thanks Matt! (Closes: #264053)
   * Use my Debian address as maintainer.
   * Fix two typos in description. Thanks Matt (Kraii) ! (Closes: #266195)
Files:
 ba19190df1112a779ae3be83786950f1 570 devel optional quilt_0.37-1.dsc
 7ec3c4154491504d5ecade76d17b8692 317155 devel optional quilt_0.37.orig.tar.gz
 0ad9bbdc4b2909282eb2e439304a1a47 5810 devel optional quilt_0.37-1.diff.gz
 63f1b02c0ebd4b08e207d1527cbdc464 251622 devel optional quilt_0.37-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBt1woIiC/MeFF8zQRAh9YAKCdFt3xxv/jSl9LyXoPu+VpfYpxeQCgrnWu
4R63+xF3sUcP4vxDxywSYAQ=
=cfdz
-----END PGP SIGNATURE-----

Changed in quilt:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.